'use strict';

exports.__esModule = true;

var _path = require('path');

var _fs = require('fs');

var _pify = require('pify');

var _pify2 = _interopRequireDefault(_pify);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

const pRead = (0, _pify2.default)(_fs.readFile);

exports.default = (() => {
  var _ref = _asyncToGenerator(function* (cwd) {
    const pkgFile = (0, _path.resolve)(cwd, 'package.json');
    return pkgFile ? JSON.parse((yield pRead(pkgFile, 'utf8'))) : undefined;
  });

  return function (_x) {
    return _ref.apply(this, arguments);
  };
})();