'use strict';

exports.__esModule = true;

var _devcertSan = require('devcert-san');

var _devcertSan2 = _interopRequireDefault(_devcertSan);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = () => {
  console.log(_chalk2.default.blue('Setting up SSL certificate (may require sudo)...'));

  return (0, _devcertSan2.default)('preact-cli', {
    installCertutil: true
  }).catch(err => {
    console.log(_chalk2.default.red(`Failed to generate dev SSL certificate: ${err}`));
    return false;
  });
};